Bug 1125828 - [Testing report] Generate testing report By Case Priority, the Priority order for different builds were different.
Summary: [Testing report] Generate testing report By Case Priority, the Priority order...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Usability
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.8.10
Assignee: cqi
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 07:43 UTC by yangqiu
Modified: 2018-07-04 21:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[Testing report] Generate testing report By Case Priority, the Priority order for different builds were different. (146.17 KB, image/jpeg)
2014-08-01 07:43 UTC, yangqiu
no flags Details

Description yangqiu 2014-08-01 07:43:02 UTC
Created attachment 923122 [details]
[Testing report] Generate testing report By Case Priority, the Priority order for different builds were different.

Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.Enter testing report page, choose product as 'qiyang test product', generate report by Case Priority.
https://tcms-devel.app.eng.nay.redhat.com/report/testing/?r_product=343&r_created_since=&r_created_before=&report_type=per_priority_report
2.Inspect the order for Priority between the two build.

Actual results:
the order for Priority between the two build were different.

Expected results:
the order for Priority between the two build were same: P1,P2,P3,P4,P5

Additional info:

Comment 1 cqi 2014-08-04 02:31:52 UTC
fixed. in the priority column, priorities are ordered by name, for example,

----------------+----+----+----
 MR-16 Sprint 2 | P1 | 10 | 20
                | P3 | 10 | 20
                | P5 | 10 | 20
-------------------------------

Comment 2 yangqiu 2014-08-06 07:06:13 UTC
verify this issue on 3.8.10-1 on devel server.--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.